Bug 660422 (CVE-2010-3775) - CVE-2010-3775 Mozilla Java security bypass from LiveConnect loaded via data: URL meta refresh (MFSA 2010-79)
Summary: CVE-2010-3775 Mozilla Java security bypass from LiveConnect loaded via data: ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3775
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101209,reported=20101203,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 19:05 UTC by Josh Bressers
Modified: 2019-06-08 18:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 22:06:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0966 normal SHIPPED_LIVE Critical: firefox security update 2010-12-09 23:08:48 UTC
Red Hat Product Errata RHSA-2010:0967 normal SHIPPED_LIVE Critical: seamonkey security update 2010-12-09 23:29:48 UTC

Description Josh Bressers 2010-12-06 19:05:50 UTC
Security researcher Gregory Fleischer reported that when a Java LiveConnect
script was loaded via a data: URL which redirects via a meta refresh, then
the resulting plugin object was created with the wrong security principal
and thus received elevated privileges such as the abilities to read local
files, launch processes, and create network connections.

Comment 1 Vincent Danen 2010-12-09 22:06:39 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-79.html

Comment 2 errata-xmlrpc 2010-12-09 23:09:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html

Comment 3 errata-xmlrpc 2010-12-09 23:30:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0967 https://rhn.redhat.com/errata/RHSA-2010-0967.html


Note You need to log in before you can comment on or make changes to this bug.